Package org.zkoss.stateless.sul

## Enum ITextboxBase.Type

- java.lang.Object
- - java.lang.Enum<ITextboxBase.Type>
  - - org.zkoss.stateless.sul.ITextboxBase.Type

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ITextboxBase.Type>`
  Enclosing interface:
    ITextboxBase<I extends ITextboxBase>

      public static enum ITextboxBase.Type
      extends java.lang.Enum<ITextboxBase.Type>

  Specifies the values to the textbox's type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `EMAIL` | Used for textbox that should contain an email.
    `PASSWORD` | Used for textbox that should contain a password.
    `TELEPHONE` | Used for textbox that should contain a telephone number.
    `TEXT` | Used for textbox that should contain a text.
    `URL` | Used for textbox that should contain an url.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ITextboxBase.Type` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ITextboxBase.Type[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TEXT

          public static final ITextboxBase.Type TEXT

      Used for textbox that should contain a text.

    - #### PASSWORD

          public static final ITextboxBase.Type PASSWORD

      Used for textbox that should contain a password.

    - #### TELEPHONE

          public static final ITextboxBase.Type TELEPHONE

      Used for textbox that should contain a telephone number.

    - #### EMAIL

          public static final ITextboxBase.Type EMAIL

      Used for textbox that should contain an email.

    - #### URL

          public static final ITextboxBase.Type URL

      Used for textbox that should contain an url.

  - ### Method Detail

    - #### values

          public static ITextboxBase.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ITextboxBase.Type c : ITextboxBase.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ITextboxBase.Type valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null